> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload part

> Upload a single part of a multipart upload. Re-uploading a part number replaces that part. Wait for the previous request for that part to finish before retrying.



## OpenAPI

````yaml /reference/sandbox-api/openapi.json put /filesystem-multipart/{uploadId}/part
openapi: 3.0.0
info:
  description: API for manipulating filesystem, processes and network.
  title: Sandbox API
  contact: {}
  version: 0.0.1
servers:
  - url: https://{sandbox_host}
    description: >-
      Host from the sandbox's returned url, without the scheme or trailing
      slash.
    variables:
      sandbox_host:
        default: sandbox.example.com
security:
  - BearerAuth: []
paths:
  /filesystem-multipart/{uploadId}/part:
    put:
      tags:
        - filesystem
      summary: Upload part
      description: >-
        Upload a single part of a multipart upload. Re-uploading a part number
        replaces that part. Wait for the previous request for that part to
        finish before retrying.
      parameters:
        - description: Upload ID
          name: uploadId
          in: path
          required: true
          schema:
            type: string
        - description: Part number (1-10000)
          name: partNumber
          in: query
          required: true
          schema:
            type: integer
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  description: Part data
                  type: string
                  format: binary
              required:
                - file
        required: true
      responses:
        '200':
          description: Part uploaded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultipartUploadPartResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Upload not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    MultipartUploadPartResponse:
      type: object
      properties:
        etag:
          type: string
          example: 5d41402abc4b2a76b9719d911017c592
        partNumber:
          type: integer
          example: 1
        size:
          type: integer
          example: 5242880
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          example: Error message
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Sandbox access token created through POST /v1/token.

````